# Authentication

## Request an access token

 - [POST /oauth/token](https://docs.ripple.com/products/payments-direct/api-docs/auth-proxy/reference/authproxy-external/authentication/authenticate.md): Request an access token for authentication with Ripple APIs.

You need to request a token for the environment you want to authenticate with.

Note: The length of the access token isn't fixed, hence it can vary. Avoid validating tokens based on character length.

#### Environments

| Environment | Domain | Description |
| --- | --- | --- |
| Test | auth-test.rnc.ripplenet.com | Test environment with simulated partners and simulated currency. |
| Production | auth.rnc.ripplenet.com | Production environment for Ripple's internal services. |

## Test access token

 - [GET /oauth/token/test](https://docs.ripple.com/products/payments-direct/api-docs/auth-proxy/reference/authproxy-external/authentication/testauthtoken.md): Test if an access token can be used for authentication with Ripple APIs and how much time remains on it.

